/**
 * Vue3 Cookies v1.0.0
 *
 * Forked from
 * https://github.com/cmp-cc/vue-cookies
 * And changed format to support Vue.js 3
 *
 */
import type { App } from "vue";
import { VueCookies, CookiesConfig } from "./interfaces";
declare class VueCookiesManager implements VueCookies {
    private current_default_config;
    constructor();
    config(config: CookiesConfig): void;
    get(keyName: string): string;
    set(keyName: string, value: string, expireTimes?: string | number | Date, path?: string, domain?: string, secure?: boolean, sameSite?: string): this;
    remove(keyName: string, path?: string, domain?: string): boolean;
    isKey(keyName: string): boolean;
    keys(): string[];
}
declare const _default: {
    install: (app: App, options?: CookiesConfig) => void;
};
export default _default;
declare function globalCookiesConfig(options?: CookiesConfig): void;
declare function useCookies(): {
    cookies: {
        config: (config: CookiesConfig) => void;
        get: (keyName: string) => string;
        set: (keyName: string, value: string, expireTimes?: string | number | Date, path?: string, domain?: string, secure?: boolean, sameSite?: string) => VueCookiesManager;
        remove: (keyName: string, path?: string, domain?: string) => boolean;
        isKey: (keyName: string) => boolean;
        keys: () => string[];
    };
};
export { globalCookiesConfig, useCookies };
